るりまサーチ

最速Rubyリファレンスマニュアル検索!
6件ヒット [1-6件を表示] (0.026秒)
トップページ > モジュール:Kernel[x] > クエリ:Gem::Version[x]

別のキーワード

  1. rubygems gem
  2. rubygems/gem_openssl ssl_available?
  3. rubygems/gem_openssl ensure_ssl_available
  4. gem user_dir
  5. gem prefix

ライブラリ

検索結果

Kernel#gem(gem_name, *version_requirements) -> bool (13.0)

$LOAD_PATH に Ruby Gem を追加します。

...が必要とする Gem が見つからなかった場合は
Gem::LoadError が発生します。

バージョンの指定方法に関しては Gem::Version を参照してください。

rubygems ライブラリがライブラリバージョンの衝突を検出しない限り、
gem メソッド...
...す。

@raise Gem::LoadError 指定された Gem やその Gem が必要とする Gem が見つからなかった場合に発生します。
ただし、環境変数 GEM_SKIP に指定されている Gem に関してはこの例外は発生しません。

@see Gem::Version...